package guanlixitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type company struct {
	Table
	list       string `name:"list city_name company_name auto" role:"void"`
	authCreate string `name:"authCreate city_name* company_name* company_info" role:"tech"`
}

func (s company) FindOrCreateByName(m *ice.Message, arg ...string) {
	if msg := m.Cmd(s, s.Select, model.NAME, arg[3], arg[0], arg[1]); msg.Length() == 0 {
		msg := m.Cmd(s, s.Insert, model.NAME, arg[3], arg[0], arg[1])
		arg[2], arg[3] = model.COMPANY_UID, msg.Result()
	} else {
		arg[2], arg[3] = model.COMPANY_UID, msg.Append(model.UID)
	}
}
func (s company) List(m *ice.Message, arg ...string) {
	if len(arg) == 0 {
		s.CityList(m)
	} else if len(arg) == 1 {
		msg := s.CityList(m.Spawn(), arg[0])
		s.Select(m, model.CITY_UID, msg.Append(model.UID))
	} else if len(arg) == 2 {
		msg := s.CityList(m.Spawn(), arg[0])
		s.Select(m, model.CITY_UID, msg.Append(model.UID), model.NAME, arg[1])
		if m.Append(model.AUTH_UID) == "" && m.IsTech() {
			m.EchoInfoButton("请申请公司认证", s.AuthCreate)
		}
	}
}
func (s company) AuthCreate(m *ice.Message, arg ...string) {
	msg := s.CityList(m.Spawn(), m.Option(model.CITY_NAME))
	s.Table.AuthCreate(m, m.Option(model.CITY_NAME), m.Option(model.COMPANY_NAME), 4, m.Option(model.COMPANY_NAME), m.Option(model.COMPANY_INFO),
		model.CITY_UID, msg.Append(model.UID), model.NAME, m.Option(model.COMPANY_NAME))
}

func init() { ice.TeamCtxCmd(company{}) }
