package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID                = "uid"
	NAME               = "name"
	INFO               = "info"
	TYPE               = "type"
	TITLE              = "title"
	CONTENT            = "content"
	AVATAR             = "avatar"
	BACKGROUND         = "background"
	USER_UID           = "user_uid"
	USER_ROLE          = "user_role"
	USER_GROUP_ROLE    = "user_group_role"
	GROUP_UID          = "group_uid"
	GROUP_NAME         = "group_name"
	GROUP_TYPE         = "group_type"
	COMPANY_UID        = "company_uid"
	COMPANY_NAME       = "company_name"
	COMPANY_INFO       = "company_info"
	COMPANY_AVATAR     = "company_avatar"
	COMPANY_BACKGROUND = "company_background"
	CITY_UID           = "city_uid"
	CITY_NAME          = "city_name"
	AUTH_UID           = "auth_uid"
	AUTH_NAME          = "auth_name"
	AUTH_INFO          = "auth_info"
	AUTH_TYPE          = "auth_type"
	AUTH_STATUS        = "auth_status"
)

type UserGroup struct {
	db.ModelUserPlace
	GroupUID string `gorm:"type:char(32);index"`
}
type Group struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Company struct {
	db.ModelStreet
}
type Target struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserGroup{}, &Group{}, &Company{}, &Target{}) }
