package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID               = "uid"
	NAME              = "name"
	TYPE              = "type"
	TITLE             = "title"
	CONTENT           = "content"
	USER_UID          = "user_uid"
	USER_CHANNEL_ROLE = "user_channel_role"
	CHANNEL_UID       = "channel_uid"
	CHANNEL_NAME      = "channel_name"
	CHANNEL_TYPE      = "channel_type"
	PROMOTION_UID     = "promotion_uid"
	COMPANY_UID       = "company_uid"
	CITY_UID          = "city_uid"
)

type UserChannel struct {
	db.ModelUserPlace
	ChannelUID string `gorm:"type:char(32);index"`
}
type Channel struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Promotion struct {
	db.ModelContent
	ChannelUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserChannel{}, &Channel{}, &Promotion{}) }
