package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID               = "uid"
	NAME              = "name"
	TYPE              = "type"
	TITLE             = "title"
	CONTENT           = "content"
	USER_UID          = "user_uid"
	USER_CAPITAL_ROLE = "user_capital_role"
	CAPITAL_UID       = "capital_uid"
	CAPITAL_NAME      = "capital_name"
	CAPITAL_TYPE      = "capital_type"
	INVESTMENT_UID    = "investment_uid"
	COMPANY_UID       = "company_uid"
	CITY_UID          = "city_uid"
)

type UserCapital struct {
	db.ModelUserPlace
	CapitalUID string `gorm:"type:char(32);index"`
}
type Capital struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Investment struct {
	db.ModelContent
	CapitalUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserCapital{}, &Capital{}, &Investment{}) }
